+ Post New Thread
Page 358 of 607 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 15159

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 58,377
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 60,196
    18th Sep 2006 10:46 pm Go to last post
  1. Sum of Hatched Areas

    Does anyone already have a lisp that will select all the hatch on a layer and return the total area of hatch and the layer name. Possibly export it to excel. Thanks.

    Started by woodman78‎, 29th Sep 2010 12:53 pm
    • Replies: 3
    • Views: 2,988
    29th Sep 2010 01:38 pm Go to last post
  2. I need help on this lisp function

    i want the output result to finish with choosen material. For example result is Weight=20,43kg/m'-Aluminium(choosen material) If anybody can add this function in attached lisp. Thx in advance

    Started by petkovski‎, 29th Sep 2010 08:00 am
    • Replies: 0
    • Views: 880
    29th Sep 2010 08:00 am Go to last post
  3. Dimension String Verification

    I need to be able to make sure that there are Dimension Strings in a CAD file that range from 0 to 210. So each dimension string has a number ("01") as the unit. I want to be able to pull an external...

    Started by pinkguju‎, 21st Sep 2010 09:34 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 5,124
    28th Sep 2010 09:05 pm Go to last post
  4. MrSid image size

    Hello! A little background, first. I have some large number of MrSid (sid files) and coresponding sdw file to tell us informations about where and how the image should be inserted. Such a file is...

    Started by xTNickx‎, 2nd Sep 2010 12:40 pm
    raster, sid
    • Replies: 1
    • Views: 2,461
    28th Sep 2010 07:21 pm Go to last post
  5. Question about linetypes / rotation within

    I might be in the wrong forum, if so please move me there where it belongs: See image below, if I create linetypes like the acad GAS_LINE the text is not rotating the way I'd like it. ...

    Started by MarcoW‎, 3rd Dec 2009 04:27 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 7,926
    28th Sep 2010 04:10 pm Go to last post
  6. (ssget) filter for WCS and 3DFACEs

    I'm drawing a blank To create a pickset of all entity types that are WCS (210 0 0 1) and of 3DFACEs where 210 is not present in a single ssget call. (ssget "X" '((0 . "*")(210 0 0 1))) (ssget...

    Started by David Bethel‎, 28th Sep 2010 03:05 pm
    • Replies: 3
    • Views: 1,447
    28th Sep 2010 04:06 pm Go to last post
  7. Layer merge

    I am trying to write a layer merge lisp for our surveyor. I have looked at laymrg but am wondering how i can select layers by wildcard. I want to move all layers ending with CODE to a new layer. ...

    Started by woodman78‎, 28th Sep 2010 12:28 pm
    • Replies: 2
    • Views: 2,452
    28th Sep 2010 02:48 pm Go to last post
  8. Need to modify this: (setq FullFile (cons (strcat Path "\\" File) FullFile))

    Hi there, In a piece of code wich I have is this line: (setq FullFile (cons (strcat Path "\\" File) FullFile)) In the end it returns: "c:\program file\marcow\\test.lsp"

    Started by MarcoW‎, 27th Sep 2010 12:04 pm
    • Replies: 7
    • Views: 5,609
    28th Sep 2010 06:35 am Go to last post
  9. Inserting blocks on points

    Sorry if this has been all ready been dealt with but I couldn't find anything specific when I did a search. Using 2008 and currently getting drawings with layers that have been allocted just with...

    Started by Henryjohn‎, 1st Jan 2009 11:14 pm
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 6,308
    28th Sep 2010 01:25 am Go to last post
  10. Lisp to enable snap highlights

    Hi guys, I modified my distance command (shown below). However it doesn't show the snap highlights (nea, per) that I got used to seeing. Though it provides correct distance result, maybe it's just...

    Started by onzki‎, 25th Sep 2010 04:21 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 3,926
    27th Sep 2010 11:45 pm Go to last post
  11. Filter lisp to bring in block and then delete leaving references in dwg..

    Hopefully someone can help me with this one..I really don't know how to properly format the path..Hopefully that's the only problem with this code to bring in a block containing all my multi lines...

    Started by jake77777‎, 26th Sep 2010 07:44 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 4,653
    27th Sep 2010 07:35 pm Go to last post
  12. DIMSTYLE update

    I have the variable DIMTXSTY set like this: (setvar "DIMTXSTY" "MYNAMESTYLE") But this only affects the new dimensions. How do I update this variable to the existing dimensions in the drawing?...

    Started by antistar‎, 24th Sep 2010 06:53 pm
    • Replies: 7
    • Views: 3,706
    27th Sep 2010 04:19 pm Go to last post
  13. Add Points to TIN Surface

    How does one add a point object (x y z), to a vl-* surface object? Here is what I have attempted already (unsuccessfully): (vlax-invoke-method (vlax-get (vlax-get exist_aecSurfItem...

    Started by BlackBox‎, 20th Sep 2010 09:48 pm
    • Replies: 9
    • Views: 5,785
    27th Sep 2010 02:16 pm Go to last post
  14. Custom menu doesn't load automatically

    Hi, I feel like :x... I made several (5) menu's, they are all working correctly. With menuload, then browse and then load they are made active in Acad. All working nice and when shutting down...

    Started by MarcoW‎, 3rd May 2009 10:35 am
    • Replies: 4
    • Views: 4,339
    27th Sep 2010 11:46 am Go to last post
  15. Modify LISP for changing block attributes

    I have a useful lisp routine for changing the attributes of text nested in blocks. It goes: (defun c:ATR (/ com val) (initget 1 "Height Angle Style Layer Color") (setq com (getkword "\nEnter...

    Started by hosannabizarre‎, 16th Jul 2010 05:49 am
    • Replies: 2
    • Views: 4,016
    27th Sep 2010 08:30 am Go to last post
  16. Question Book recommendation

    Dear all, I'm wondering if you guys can recommend me a good AutoLISP book. I prefer digital/e-book version because shipping can be costly and take a lot of time to my country. But hardcopy is...

    Started by edwinprakoso‎, 27th Sep 2010 02:35 am
    • Replies: 2
    • Views: 937
    27th Sep 2010 03:06 am Go to last post
  17. Smile Please help! Lisp for Ansi 31 boundary select hatch w/ specified angle & scale

    I do look for answers to these questions a minimum of an hour before I'll post anything. I know I'm up to 3 or 4 today. But or all you code geniuses..your help again..will be greatly be appreciated!...

    Started by jake77777‎, 26th Sep 2010 04:35 am
    • Replies: 4
    • Views: 2,543
    26th Sep 2010 07:55 pm Go to last post
  18. modification of a lisp

    hello, can anyone help modify this lisp that I found on this forum I cant remember who or where though! I would like to have it so that you can have an endless amount of points. more than 2. ...

    Started by monk‎, 26th Sep 2010 05:05 pm
    • Replies: 0
    • Views: 1,048
    26th Sep 2010 05:05 pm Go to last post
  19. Lisp that draws a line and offsets next line a centerline and next a solid 2" apart??

    I was hoping someone out there knows how to use a lisp in one command that can allow our firm to draw a single solid line that automatically offsets a 2" centerline followed by another 2" offset...

    Started by jake77777‎, 25th Sep 2010 04:17 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 7,695
    26th Sep 2010 02:36 am Go to last post
  20. Construct a list for sssetfirst

    Hello I do wonder how to make the function sssetfirst to select objects according to the name of the entity . !!! Here is my start . (defun c:TEst (/ ss en) (if (and (setq ss (car...

    Started by Michaels‎, 25th Sep 2010 08:08 am
    • Replies: 3
    • Views: 1,536
    25th Sep 2010 02:45 pm Go to last post
  21. Filleting objects

    If I have two plines that need to be filleted. One pline has 2 vertices and the other has 4 vertices, and I use the fillet command eg (command "fillet" e1 e2) then the fillet will only work correctly...

    Started by Small Fish‎, 22nd Sep 2010 10:01 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 2,401
    24th Sep 2010 11:07 pm Go to last post
  22. Xref Code

    Hello, I have been a lurker of the CADTutor forums for a while. I decided about a couple of days ago to dive head first into AutoLISP. Usually I like to figure things out on my own but right now...

    Started by TheZman‎, 24th Sep 2010 06:50 pm
    • Replies: 8
    • Views: 1,866
    24th Sep 2010 09:30 pm Go to last post
  23. Automatically close or disable Autocad Text Window when loading Lisp?

    My question is, is there a way to disable the popup text window from appearing when loading the lisp files as it's very annoying.My question is, is there a way to disable the popup text window from...

    Started by jake77777‎, 24th Sep 2010 04:22 pm
    text window disable
    • Replies: 4
    • Views: 8,025
    24th Sep 2010 09:25 pm Go to last post
  24. Single Line Stacked MText Combined Togehter

    Is their way to take a group of single line MText that are stacked and make them one MText, but keep them stacked and in order from top to bottom?

    Started by caltes75‎, 24th Sep 2010 07:40 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 3,759
    24th Sep 2010 09:11 pm Go to last post
  25. quick select lisp command please!

    Can someone write me a lisp that would use the quick select command using to select everything on layer STR-TXT using window select. I use this SO much at work and it would save a great deal of...

    Started by jake77777‎, 24th Sep 2010 03:14 pm
    2 Pages
    1 2
    quick select lisp layer
    • Replies: 15
    • Views: 3,505
    24th Sep 2010 03:49 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts